git: 552266cdfd51 - main - net/libsrtp2: Update to 2.6.0 and switch to meson

From: Tijl Coosemans <tijl_at_FreeBSD.org>
Date: Thu, 29 Feb 2024 20:24:12 UTC
The branch main has been updated by tijl:

URL: https://cgit.FreeBSD.org/ports/commit/?id=552266cdfd5186288320712f3b295211304faa5c

commit 552266cdfd5186288320712f3b295211304faa5c
Author:     Tijl Coosemans <tijl@FreeBSD.org>
AuthorDate: 2024-02-25 18:20:22 +0000
Commit:     Tijl Coosemans <tijl@FreeBSD.org>
CommitDate: 2024-02-29 20:21:38 +0000

    net/libsrtp2: Update to 2.6.0 and switch to meson
---
 net/libsrtp2/Makefile                            | 23 ++------
 net/libsrtp2/distinfo                            |  6 +-
 net/libsrtp2/files/patch-Makefile.in             | 35 -----------
 net/libsrtp2/files/patch-test_meson.build        | 11 ++++
 net/libsrtp2/files/patch-test_rtpw__test.sh      | 38 ++++++++++++
 net/libsrtp2/files/patch-test_rtpw__test__gcm.sh | 74 ++++++++++++++++++++++++
 net/libsrtp2/pkg-plist                           |  1 -
 7 files changed, 132 insertions(+), 56 deletions(-)

diff --git a/net/libsrtp2/Makefile b/net/libsrtp2/Makefile
index 165e75562f22..07483890e2d8 100644
--- a/net/libsrtp2/Makefile
+++ b/net/libsrtp2/Makefile
@@ -1,6 +1,6 @@
 PORTNAME=	libsrtp
 DISTVERSIONPREFIX=	v
-DISTVERSION=	2.5.0
+DISTVERSION=	2.6.0
 CATEGORIES=	net
 PKGNAMESUFFIX=	2
 
@@ -11,25 +11,14 @@ WWW=		https://github.com/cisco/libsrtp
 LICENSE=	BSD3CLAUSE
 LICENSE_FILE=	${WRKSRC}/LICENSE
 
+USES=		cpe meson pkgconfig ssl
+CPE_VENDOR=	cisco
 USE_GITHUB=	yes
 GH_ACCOUNT=	cisco
-
-GNU_CONFIGURE=	yes
-CONFIGURE_ARGS=	--enable-openssl \
-		crypto_CFLAGS="-I${OPENSSLINC}" \
-		crypto_LIBS="${OPENSSLLIB}/libcrypto.so"
-USES=		cpe gmake pkgconfig ssl
-CPE_VENDOR=	cisco
 USE_LDCONFIG=	yes
 
-ALL_TARGET=	all shared_library
-TEST_TARGET=	runtest
-TEST_ENV=	LD_LIBRARY_PATH=${WRKSRC}
-
-post-patch:
-	@${REINPLACE_CMD} '/supported_cflags=.*-fPIC/d' ${WRKSRC}/configure
-
-post-install:
-	@${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/libsrtp2.so.1
+MESON_ARGS=	-Dcrypto-library=openssl \
+		-Dcrypto-library-kdf=disabled \
+		-Ddoc=disabled
 
 .include <bsd.port.mk>
diff --git a/net/libsrtp2/distinfo b/net/libsrtp2/distinfo
index f14e8c49e761..f53305308a00 100644
--- a/net/libsrtp2/distinfo
+++ b/net/libsrtp2/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1675429915
-SHA256 (cisco-libsrtp-v2.5.0_GH0.tar.gz) = 8a43ef8e9ae2b665292591af62aa1a4ae41e468b6d98d8258f91478735da4e09
-SIZE (cisco-libsrtp-v2.5.0_GH0.tar.gz) = 638704
+TIMESTAMP = 1708868825
+SHA256 (cisco-libsrtp-v2.6.0_GH0.tar.gz) = bf641aa654861be10570bfc137d1441283822418e9757dc71ebb69a6cf84ea6b
+SIZE (cisco-libsrtp-v2.6.0_GH0.tar.gz) = 640699
diff --git a/net/libsrtp2/files/patch-Makefile.in b/net/libsrtp2/files/patch-Makefile.in
deleted file mode 100644
index 84ad3a9e8727..000000000000
--- a/net/libsrtp2/files/patch-Makefile.in
+++ /dev/null
@@ -1,35 +0,0 @@
---- Makefile.in.orig	2018-05-15 19:33:24 UTC
-+++ Makefile.in
-@@ -82,12 +82,11 @@ pkgconfigdir = $(libdir)/pkgconfig
- pkgconfig_DATA = libsrtp2.pc
- 
- SHAREDLIBVERSION = 1
--ifneq (,$(or $(findstring linux,@host@), $(findstring gnu,@host@)))
- SHAREDLIB_DIR = $(libdir)
- SHAREDLIB_LDFLAGS = -shared -Wl,-soname,$@
- SHAREDLIBSUFFIXNOVER = so
- SHAREDLIBSUFFIX = $(SHAREDLIBSUFFIXNOVER).$(SHAREDLIBVERSION)
--else ifneq (,$(or $(findstring cygwin,@host@), $(findstring mingw,@host@)))
-+ifneq (,$(or $(findstring cygwin,@host@), $(findstring mingw,@host@)))
- SHAREDLIB_DIR = $(bindir)
- SHAREDLIB_LDFLAGS = -shared -Wl,--out-implib,libsrtp2.dll.a
- SHAREDLIBVERSION =
-@@ -106,6 +105,9 @@ endif
- %.o: %.c
- 	$(COMPILE) -c $< -o $@
- 
-+%.So: %.c
-+	$(COMPILE) -DPIC -fPIC -c $< -o $@
-+
- %$(EXE): %.c
- 	$(COMPILE) $(LDFLAGS) $< -o $@ $(SRTPLIB) $(LIBS)
- 
-@@ -137,7 +139,7 @@ libsrtp2.a: $(srtpobj) $(cryptobj) $(gdoi)
- 	$(AR) cr libsrtp2.a $^
- 	$(RANLIB) libsrtp2.a
- 
--libsrtp2.$(SHAREDLIBSUFFIX): $(srtpobj) $(cryptobj) $(gdoi)
-+libsrtp2.$(SHAREDLIBSUFFIX): $(srtpobj:.o=.So) $(cryptobj:.o=.So) $(gdoi:.o=.So)
- 	$(CC) -shared -o $@ $(SHAREDLIB_LDFLAGS) \
- 				$^ $(LDFLAGS) $(LIBS)
- 	if [ -n "$(SHAREDLIBVERSION)" ]; then \
diff --git a/net/libsrtp2/files/patch-test_meson.build b/net/libsrtp2/files/patch-test_meson.build
new file mode 100644
index 000000000000..d3f3fe46e9b0
--- /dev/null
+++ b/net/libsrtp2/files/patch-test_meson.build
@@ -0,0 +1,11 @@
+--- test/meson.build.orig	2024-02-24 08:29:39 UTC
++++ test/meson.build
+@@ -64,7 +64,7 @@ endif
+ endif
+ 
+ # rtp_decoder
+-pcap_dep = dependency('libpcap', required: get_option('pcap-tests'))
++pcap_dep = cc.find_library('pcap', required: get_option('pcap-tests'))
+ 
+ if pcap_dep.found()
+   executable('rtp_decoder',
diff --git a/net/libsrtp2/files/patch-test_rtpw__test.sh b/net/libsrtp2/files/patch-test_rtpw__test.sh
new file mode 100644
index 000000000000..cce41c37ca8c
--- /dev/null
+++ b/net/libsrtp2/files/patch-test_rtpw__test.sh
@@ -0,0 +1,38 @@
+--- test/rtpw_test.sh.orig	2024-02-24 08:29:39 UTC
++++ test/rtpw_test.sh
+@@ -87,7 +87,7 @@ sleep 1 
+ sleep 1 
+ 
+ # verify that the background job is running
+-ps -e | grep -q $receiver_pid
++ps x | grep -q $receiver_pid
+ retval=$?
+ echo $retval
+ if [ $retval != 0 ]; then
+@@ -104,7 +104,7 @@ echo $0 ": sender PID = $sender_pid"
+ echo $0 ": sender PID = $sender_pid"
+ 
+ # verify that the background job is running
+-ps -e | grep -q $sender_pid
++ps x | grep -q $sender_pid
+ retval=$?
+ echo $retval
+ if [ $retval != 0 ]; then
+@@ -136,7 +136,7 @@ sleep 1 
+ sleep 1 
+ 
+ # verify that the background job is running
+-ps -e | grep -q $receiver_pid
++ps x | grep -q $receiver_pid
+ retval=$?
+ echo $retval
+ if [ $retval != 0 ]; then
+@@ -153,7 +153,7 @@ echo $0 ": sender PID = $sender_pid"
+ echo $0 ": sender PID = $sender_pid"
+ 
+ # verify that the background job is running
+-ps -e | grep -q $sender_pid
++ps x | grep -q $sender_pid
+ retval=$?
+ echo $retval
+ if [ $retval != 0 ]; then
diff --git a/net/libsrtp2/files/patch-test_rtpw__test__gcm.sh b/net/libsrtp2/files/patch-test_rtpw__test__gcm.sh
new file mode 100644
index 000000000000..c1241ed1f9fe
--- /dev/null
+++ b/net/libsrtp2/files/patch-test_rtpw__test__gcm.sh
@@ -0,0 +1,74 @@
+--- test/rtpw_test_gcm.sh.orig	2024-02-24 08:29:39 UTC
++++ test/rtpw_test_gcm.sh
+@@ -84,7 +84,7 @@ sleep 1 
+ sleep 1 
+ 
+ # verify that the background job is running
+-ps -e | grep -q $receiver_pid
++ps x | grep -q $receiver_pid
+ retval=$?
+ echo $retval
+ if [ $retval != 0 ]; then
+@@ -101,7 +101,7 @@ echo $0 ": sender PID = $sender_pid"
+ echo $0 ": sender PID = $sender_pid"
+ 
+ # verify that the background job is running
+-ps -e | grep -q $sender_pid
++ps x | grep -q $sender_pid
+ retval=$?
+ echo $retval
+ if [ $retval != 0 ]; then
+@@ -129,7 +129,7 @@ sleep 1 
+ sleep 1 
+ 
+ # verify that the background job is running
+-ps -e | grep -q $receiver_pid
++ps x | grep -q $receiver_pid
+ retval=$?
+ echo $retval
+ if [ $retval != 0 ]; then
+@@ -146,7 +146,7 @@ echo $0 ": sender PID = $sender_pid"
+ echo $0 ": sender PID = $sender_pid"
+ 
+ # verify that the background job is running
+-ps -e | grep -q $sender_pid
++ps x | grep -q $sender_pid
+ retval=$?
+ echo $retval
+ if [ $retval != 0 ]; then
+@@ -175,7 +175,7 @@ sleep 1 
+ sleep 1 
+ 
+ # verify that the background job is running
+-ps -e | grep -q $receiver_pid
++ps x | grep -q $receiver_pid
+ retval=$?
+ echo $retval
+ if [ $retval != 0 ]; then
+@@ -192,7 +192,7 @@ echo $0 ": sender PID = $sender_pid"
+ echo $0 ": sender PID = $sender_pid"
+ 
+ # verify that the background job is running
+-ps -e | grep -q $sender_pid
++ps x | grep -q $sender_pid
+ retval=$?
+ echo $retval
+ if [ $retval != 0 ]; then
+@@ -220,7 +220,7 @@ sleep 1 
+ sleep 1 
+ 
+ # verify that the background job is running
+-ps -e | grep -q $receiver_pid
++ps x | grep -q $receiver_pid
+ retval=$?
+ echo $retval
+ if [ $retval != 0 ]; then
+@@ -237,7 +237,7 @@ echo $0 ": sender PID = $sender_pid"
+ echo $0 ": sender PID = $sender_pid"
+ 
+ # verify that the background job is running
+-ps -e | grep -q $sender_pid
++ps x | grep -q $sender_pid
+ retval=$?
+ echo $retval
+ if [ $retval != 0 ]; then
diff --git a/net/libsrtp2/pkg-plist b/net/libsrtp2/pkg-plist
index 03d9286f49e4..9c49cb3211a9 100644
--- a/net/libsrtp2/pkg-plist
+++ b/net/libsrtp2/pkg-plist
@@ -2,7 +2,6 @@ include/srtp2/auth.h
 include/srtp2/cipher.h
 include/srtp2/crypto_types.h
 include/srtp2/srtp.h
-lib/libsrtp2.a
 lib/libsrtp2.so
 lib/libsrtp2.so.1
 libdata/pkgconfig/libsrtp2.pc